#!/usr/bin/env python

import sys

PACKAGE     = "OBITools3"
VERSION     = "0.0.0"
AUTHOR      = 'Eric Coissac'
EMAIL       = 'eric@coissac.eu'
URL         = 'metabarcoding.org/obitools3'
LICENSE     = 'CeCILL-V2'
DESCRIPTION ="Scripts and library for DNA metabarcoding",

SRC       = 'python'
CSRC      = 'src'

classifiers=['Development Status :: 1 - Planning',
             'Environment :: Console',
             'Intended Audience :: Science/Research',
             'License :: Other/Proprietary License',
             'Operating System :: Unix',
             'Programming Language :: Python',
             'Programming Language :: Python :: 3',
             'Topic :: Scientific/Engineering :: Bio-Informatics',
             'Topic :: Utilities',
             ]


PYTHONMIN='3.4'


sys.path.append('distutils.ext')
sys.path.append(SRC)

if __name__=="__main__":
    
    try:
        from obitools3 import version
        VERSION     = version.version
    except ImportError:
        pass

    from obidistutils.serenity import serenity_mode
    
    serenity=serenity_mode(PACKAGE,VERSION)

    from obidistutils.core import setup
    from obidistutils.core import CTOOLS
    from obidistutils.core import CEXES
    from obidistutils.core import FILES
    
    # Produce annotated html files
    import Cython.Compiler.Options
    Cython.Compiler.Options.annotate = True

    
    setup(name=PACKAGE,
          description=DESCRIPTION,
          classifiers=classifiers,
          version=VERSION,
          author=AUTHOR,
          author_email=EMAIL,
          license=LICENSE,
          url=URL,
          python_src=SRC,
          sse='sse2',
          serenity=serenity,
          pythonmin=PYTHONMIN)

